Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.fetchdoc
Class FetchDoc

    java.lang.Object
      |
      +--jedi.fetchdoc.FetchDoc

All Implemented Interfaces:
  java.io.FilenameFilter

public class FetchDoc
extends java.lang.Object
implements java.io.FilenameFilter

Field Summary
`static int` | `FILE_ACCESS_ERROR`
`protected java.lang.String[]` | `files`
`static int` | `NO_DOC_DIRECTORY`
`static int` | `NO_HITS_ERROR`
`static int` | `NO_MORE_HITS`
`static int` | `SCAN_FILE`
`static int` | `SCAN_PATH`
`static int` | `START_BUILD`
`static int` | `WRITE_FILE`
`static int` | `WRITE_INDEX`

Constructor Summary
`FetchDoc(java.lang.String indexFile)`

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)`
`protected java.util.Hashtable` | `buildIndexTable(java.util.Hashtable oldTable, java.lang.String path, java.lang.String indexFile)`
`protected java.lang.String` | `checkPath(java.lang.String path)`
`void` | `deleteDirectory(java.io.File dir)`
`protected void` | `error(int code, java.lang.String text)`
`protected java.lang.String[]` | `findIndexFiles(java.lang.String path)`
`void` | `generateIndex(java.util.Vector search)`
`protected java.util.Vector` | `getAllHits(java.lang.String keyword)`
`java.lang.String` | `getFirstURL(java.lang.String keyword)`
`java.lang.String` | `getHashcode(java.lang.String key)`
`java.lang.String` | `getNextURL()`
`boolean` | `hasMoreHits()`
`void` | `progress(int code, java.lang.String text)`
`void` | `setupTokenizer(java.io.StreamTokenizer t)`
`protected void` | `sortIn(java.util.Hashtable rootIndex, java.lang.String key, java.lang.String target)`
`protected void` | `writeHashtable(java.lang.String dir, java.util.Hashtable hashtable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### files

    protected java.lang.String[] files

### START_BUILD

    public static int START_BUILD

### SCAN_PATH

    public static int SCAN_PATH

### SCAN_FILE

    public static int SCAN_FILE

### WRITE_INDEX

    public static int WRITE_INDEX

### WRITE_FILE

    public static int WRITE_FILE

### FILE_ACCESS_ERROR

    public static int FILE_ACCESS_ERROR

### NO_HITS_ERROR

    public static int NO_HITS_ERROR

### NO_MORE_HITS

    public static int NO_MORE_HITS

### NO_DOC_DIRECTORY

    public static int NO_DOC_DIRECTORY

Constructor Detail

### FetchDoc

    public FetchDoc(java.lang.String indexFile)

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

### buildIndexTable

    protected java.util.Hashtable buildIndexTable(java.util.Hashtable oldTable,
                                                  java.lang.String path,
                                                  java.lang.String indexFile)

### checkPath

    protected java.lang.String checkPath(java.lang.String path)

### deleteDirectory

    public void deleteDirectory(java.io.File dir)

### error

    protected void error(int code,
                         java.lang.String text)

### findIndexFiles

    protected java.lang.String[] findIndexFiles(java.lang.String path)

### generateIndex

    public void generateIndex(java.util.Vector search)

### getAllHits

    protected java.util.Vector getAllHits(java.lang.String keyword)

### getFirstURL

    public java.lang.String getFirstURL(java.lang.String keyword)

### getHashcode

    public java.lang.String getHashcode(java.lang.String key)

### getNextURL

    public java.lang.String getNextURL()

### hasMoreHits

    public boolean hasMoreHits()

### progress

    public void progress(int code,
                         java.lang.String text)

### setupTokenizer

    public void setupTokenizer(java.io.StreamTokenizer t)

### sortIn

    protected void sortIn(java.util.Hashtable rootIndex,
                          java.lang.String key,
                          java.lang.String target)

### writeHashtable

    protected void writeHashtable(java.lang.String dir,
                                  java.util.Hashtable hashtable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD